# saga::task_base Struct Reference

Brief description starts here. More...

`#include <task_base.hpp>`

Inheritance diagram for saga::task_base:

[legend]

List of all members.

## Public Types
enum | state { Unknown = -1, New = 1, Running = 2, Done = 3, Canceled = 4, Failed = 5 }
| A task can be in one of several possible states: New, Running, Done, Canceled and Failed. More...

## Detailed Description

Brief description starts here.

## Member Enumeration Documentation

enum saga::task_base::state

A task can be in one of several possible states: New, Running, Done, Canceled and Failed.

New: This state identifies a newly constructed task instance which has not yet run. This state corresponds to the BES state ÕPendingÕ. This state is initial.

Running: The run() method has been invoked on the task, either explicitly or implicitly. This state corresponds to the BES state ÕRunningÕ. This state is initial.

Done: The synchronous or asynchronous operation has finished successfully. It corresponds to the BES state ÕFinishedÕ. This state is final.

Canceled: The asynchronous operation has been canceled, i.e. cancel() has been called on the task instance. It corresponds to the BES state ÕCanceledÕ. This state is final.

Failed: The synchronous or asynchronous operation has finished unsuccessfully. It corresponds to the BES state ÕFailedÕ. This state is final.

Enumerator:

  Unknown |
  New |
  Running |
  Done |
  Canceled |
  Failed |

Reimplemented in saga::task.

The documentation for this struct was generated from the following file:

- task_base.hpp